using System;
namespace Drugi
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] A = new int[n];
            double[] P = new double[n];
            for(int i = 0;i<n;i++)
            {
                string[] unos = Console.ReadLine().Split();
                A[i] = int.Parse(unos[0]);
                P[i] = double.Parse(unos[1]);
            }
            double[] porez = new double[n]; 
            for(int x = 0;x<n;x++)
            {
                for(int i = 0;i<n;i++)
                {
                    if (P[x] <= P[i])
                        porez[x] += A[i] * (double) (P[x]/100);
                }
            }
            Array.Sort(porez);
            Console.WriteLine(porez[porez.Length-1].ToString("0.0000"));


        }
    }
}